Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 34927 - Enable to control background processes in IDE
Enable to control background processes in IDE
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
PC All
: P3 (vote)
: 5.x
Assigned To: issues@platform
issues@platform
: T9Y
Depends on: 27403
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-14 14:55 UTC by Jiri Skrivanek
Modified: 2008-12-22 23:16 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2003-07-14 14:55:31 UTC
For testing it would be helpful to control
processes which run on background (e.g.
compilation, updation of code completion database,
classes run in IDE, ...). I don't know if there
already exist such API. So, something like
"Process Manager" API would exist with possibility
to stop a process/task.
Comment 1 Jaroslav Tulach 2003-07-15 09:19:37 UTC
Probably would be satisfied by "Progress API"
Comment 2 Jiri Skrivanek 2006-03-02 12:57:38 UTC
I think Progress API covers our needs.
Comment 3 Jiri Skrivanek 2006-03-02 12:58:25 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo